--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Advances to the next message to be read. Call this after #read returns nil."
- !ruby/struct:SM::Flow::P 
  body: "Note: Once #read returns nil, you can call #eof before or after calling #next to tell if there actually is a next message to read."
full_name: RMail::Mailbox::MBoxReader#next
is_singleton: false
name: next
params: ()
visibility: public
